CVE-2003-0257
CVSS7.2
发布时间 :2004-04-15 00:00:00
修订时间 :2008-09-10 15:18:26
NMCOS    

[原文]Format string vulnerability in the printer capability for IBM AIX .3, 5.1, and 5.2 allows local users to gain printq or root privileges.


[CNNVD]IBM AIX打印子系统多个未明安全漏洞(CNNVD-200404-048)

        
        IBM AIX是一款商业性质UNIX操作系统。
        IBM AIX系统中的打印子系统存在多个安全问题,远程或者本地攻击者可以利用这个漏洞未授权访问主机,或者提升权限。
        目前没有详细漏洞细节。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:ibm:aix:5.1IBM AIX 5.1
cpe:/o:ibm:aix:4.3IBM AIX 4.3
cpe:/o:ibm:aix:4.3.1IBM AIX 4.3.1
cpe:/o:ibm:aix:5.2IBM AIX 5.2
cpe:/o:ibm:aix:4.3.3IBM AIX 4.3.3
cpe:/o:ibm:aix:4.3.2IBM AIX 4.3.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0257
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0257
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200404-048
(官方数据源) CNNVD

- 其它链接及资源

http://www-1.ibm.com/services/continuity/recover1.nsf/MSS/MSS-OAR-E01-2003.0660.1
(VENDOR_ADVISORY)  IBM  MSS-OAR-E01-2003:0660.1
http://xforce.iss.net/xforce/xfdb/12000
(VENDOR_ADVISORY)  XF  aix-print-format-string(12000)

- 漏洞信息

IBM AIX打印子系统多个未明安全漏洞
高危 边界条件错误
2004-04-15 00:00:00 2005-10-20 00:00:00
远程  
        
        IBM AIX是一款商业性质UNIX操作系统。
        IBM AIX系统中的打印子系统存在多个安全问题,远程或者本地攻击者可以利用这个漏洞未授权访问主机,或者提升权限。
        目前没有详细漏洞细节。
        

- 公告与补丁

        厂商补丁:
        IBM
        ---
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        补丁下载:
        IBM AIX 4.3.3:
        IBM APAR IY42089
        
        http://techsupport.services.ibm.com/rs6k/fixdb.html

        IBM AIX 5.1:
        IBM APAR IY42090
        https://techsupport.services.ibm.com/server/aix.fdc
        IBM AIX 5.2:
        IBM APAR IY42091
        https://techsupport.services.ibm.com/server/aix.fdc

- 漏洞信息

7994
IBM AIX Printer Capability Format String Local Privilege Escalation
Local Access Required, Local / Remote, Context Dependent Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Unknown

- 漏洞描述

IBM AIX contains several printer related commands that may allow a malicious user to gain access to unauthorized privileges - printq or root privileges. The issue is triggered when running the commands with malformed input. This flaw may lead to a loss of confidentiality and/or integrity.

- 时间线

2003-05-13 Unknow
Unknow Unknow

- 解决方案

Upgrade AIX using the APAR numbers AIX 4.3: IY42089, 5.1.0: IY42090and AIX 5.2.0: IY42091 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

IBM AIX Multiple Unspecified Security Vulnerabilities
Boundary Condition Error 7604
Yes No
2003-05-13 12:00:00 2009-07-11 10:06:00
The discoverer of these vulnerabilities is currently unknown.

- 受影响的程序版本

IBM AIX 4.3.3
IBM AIX 4.3.2
IBM AIX 4.3.1
IBM AIX 4.3
IBM AIX 5.2
IBM AIX 5.1

- 漏洞讨论

It has been reported that multiple security issues exist in the print sub-system of IBM AIX. These issues could lead to an attacker gaining unauthorized access to the host, and potentially elevated privileges.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

The following APARs are available:


IBM AIX 5.1

IBM AIX 5.2

IBM AIX 4.3.3

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站